[Rainmeter]
;Автор оригинала-RaDMaN(XWidget),адаптация под Rainmeter-Wasek
Update=1000
Blur=1
BlurRegion=1,390,200,18,32

[Variables]
@include=Variables.inc

[Background]
Meter=IMAGE
imageName=Bg.png
X=0
Y=0

[ImageNC]
Meter=IMAGE
imageName=Bg2.png
X=365
Y=80
LeftMouseDownAction=!Execute [!RainmeterActivateConfig "Lumia Rain\settings" "settings.ini"]
ToolTipText="Настройка"

[Source]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#?tenday
RegExp="(?siU)</title>(.*)</body>"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureDEN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source]
RegExp="(?siU)<h1>(.*)</h1>.*"h5">.*"h5">(.*)</.*"h5">(.*)</.*"h5">(.*)</.*"h5">(.*)</.*"h5">(.*)</.*"h5">(.*)</.*"h5">(.*)</.*"h5">(.*)</.*"h5">(.*)</"
StringIndex2=1
StringIndex=1

[MeasureDEN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=2

[MeasureDEN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=3

[MeasureDEN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=4

[MeasureDEN5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=5

[MeasureDEN6]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=6

[MeasureInfo]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source]
RegExp="(?siU).*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*<a href=".*" title="(.*)".*"
StringIndex2=1
StringIndex=1

[MeasureInfo2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=2

[MeasureInfo3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=3

[MeasureInfo4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=4

[MeasureInfo5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=5

[MeasureInfo6]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=6

[MeasureInfo7]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=7

[MeasureInfo8]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=8

[MeasureInfo9]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureInfo]
StringIndex=9


[MeasureDEN7]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=7

[MeasureDEN8]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=8

[MeasureDEN9]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
StringIndex=9

[MeasureTMAX]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source]
RegExp="(?siU).*Макс:\s<strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>.*Макс:\s<strong>(.*)</strong>"
StringIndex=1
StringIndex2=1
Substitute="&deg;":""

[MeasureTMAX2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=2
Substitute="&deg;":""

[MeasureTMAX3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=3
Substitute="&deg;":""

[MeasureTMAX4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=4
Substitute="&deg;":""

[MeasureTMAX5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=5
Substitute="&deg;":""

[MeasureTMAX6]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=6
Substitute="&deg;":""

[MeasureTMAX6]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=6
Substitute="&deg;":""

[MeasureTMAX7]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=7
Substitute="&deg;":""

[MeasureTMAX8]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=8
Substitute="&deg;":""

[MeasureTMAX9]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
StringIndex=9
Substitute="&deg;":""

[MeasureTMIN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source]
RegExp="(?siU).*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>.*Мин:\s<strong>(.*)</strong>"
StringIndex=1
StringIndex2=1
Substitute="&deg;":""

[MeasureTMIN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=2
Substitute="&deg;":""

[MeasureTMIN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=3
Substitute="&deg;":""

[MeasureTMIN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=4
Substitute="&deg;":""

[MeasureTMIN5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=5
Substitute="&deg;":""

[MeasureTMIN6]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=6
Substitute="&deg;":""

[MeasureTMIN7]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=7
Substitute="&deg;":""

[MeasureTMIN8]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=8
Substitute="&deg;":""

[MeasureTMIN9]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
StringIndex=9
Substitute="&deg;":""

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source]
RegExp="(?siU)<span class="h5">.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png.*</div>.*src=".*d(.*).png"
StringIndex=1
StringIndex2=1

[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=2

[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=3

[MeasureWeatherIcon4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=4

[MeasureWeatherIcon5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=5

[MeasureWeatherIcon6]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=6

[MeasureWeatherIcon7]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=7

[MeasureWeatherIcon8]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=8

[MeasureWeatherIcon9]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureWeatherIcon]
StringIndex=9



[Source2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU).*Фактическая погода(.*)<script type="text/javascript">"
StringIndex=1
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIconF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source2]
RegExp="(?siU)<img class="symb" src="/img/symb-70x70/(.*).png.*"
StringIndex=1
StringIndex2=1

[MeasureTF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source2]
RegExp="(?siU)<span class=".* txt-xxlarge"><strong>(.*)</strong>.*"
StringIndex=1
StringIndex2=1

[MeasureFO]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source2]
RegExp="(?siU)<div class="right txt-tight">(.*)<br />.*"
StringIndex=1
StringIndex2=1

[MeasureOBN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[Source2]
RegExp="(?siU)<div class="bot txt-tight grey">.*(.*)<br />.*"
StringIndex=1
StringIndex2=1
Substitute="В":"на"

;====================================================================

[MeterIconF]
Meter=Image
MeasureName=MeasureWeatherIconF
Path="#CURRENTPATH#WeatherIcons"
X=40
Y=-80

[MeterIcon2]
Meter=Image
MeasureName=MeasureWeatherIcon2
Path="#CURRENTPATH#WeatherIconsSmall"
X=35
Y=165

[MeterIcon3]
Meter=Image
MeasureName=MeasureWeatherIcon3
Path="#CURRENTPATH#WeatherIconsSmall"
X=20R
Y=r

[MeterIcon4]
Meter=Image
MeasureName=MeasureWeatherIcon4
Path="#CURRENTPATH#WeatherIconsSmall"
X=20R
Y=r

[MeterIcon5]
Meter=Image
MeasureName=MeasureWeatherIcon5
Path="#CURRENTPATH#WeatherIconsSmall"
X=20R
Y=r

[MeterIcon6]
Meter=Image
MeasureName=MeasureWeatherIcon6
Path="#CURRENTPATH#WeatherIconsSmall"
X=20R
Y=r

[MeterIcon7]
Meter=Image
MeasureName=MeasureWeatherIcon7
Path="#CURRENTPATH#WeatherIconsSmall"
X=20R
Y=r

;------------------------------

[MeterName]
Meter=String
MeasureName=MeasureDEN
X=25
Y=35
MeterStyle=style
FontSize=15

[MeterTF]
Meter=String
MeasureName=MeasureTF
X=390
Y=30
MeterStyle=style
StringAlign=Right
FontSize=25
Postfix=" °C"
StringStyle=Normal

[MeterFO]
Meter=String
MeasureName=MeasureFO
X=20
Y=75
W=300
H=15
MeterStyle=style

;------------------------

[MeterDEN2]
Meter=String
MeasureName=MeasureDEN2
X=60
Y=120
MeterStyle=style
StringAlign=Center

[MeterDEN3]
Meter=String
MeasureName=MeasureDEN3
X=60r
Y=r
MeterStyle=style
StringAlign=Center

[MeterDEN4]
Meter=String
MeasureName=MeasureDEN4
X=60r
Y=r
MeterStyle=style
StringAlign=Center

[MeterDEN5]
Meter=String
MeasureName=MeasureDEN5
X=60r
Y=r
MeterStyle=style
StringAlign=Center

[MeterDEN6]
Meter=String
MeasureName=MeasureDEN6
X=60r
Y=r
MeterStyle=style
StringAlign=Center

[MeterDEN7]
Meter=String
MeasureName=MeasureDEN7
X=60r
Y=r
MeterStyle=style
StringAlign=Center

;--------------------------

[MeterT2]
Meter=String
MeasureName=MeasureTMAX2
MeasureName2=MeasureTMIN2
X=55
Y=140
H=30
W=94
MeterStyle=style
Text="%1/%2"
StringAlign=Center

[MeterT3]
Meter=String
MeasureName=MeasureTMAX3
MeasureName2=MeasureTMIN3
X=60r
Y=r
MeterStyle=style
Text="%1/%2"
StringAlign=Center

[MeterT4]
Meter=String
MeasureName=MeasureTMAX4
MeasureName2=MeasureTMIN4
X=60r
Y=r
MeterStyle=style
Text="%1/%2"
StringAlign=Center

[MeterT5]
Meter=String
MeasureName=MeasureTMAX5
MeasureName2=MeasureTMIN5
X=60r
Y=r
MeterStyle=style
Text="%1/%2"
StringAlign=Center

[MeterT6]
Meter=String
MeasureName=MeasureTMAX6
MeasureName2=MeasureTMIN6
X=60r
Y=r
MeterStyle=style
Text="%1/%2"
StringAlign=Center

[MeterT7]
Meter=String
MeasureName=MeasureTMAX7
MeasureName2=MeasureTMIN7
X=60r
Y=r
MeterStyle=style
Text="%1/%2"
StringAlign=Center





